Skip to main content

Get all fees

GEThttps://api.propexo.com/v1/fees/

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100
integration_id string

The Propexo unique identifier for the integration

property_id string

The Propexo unique identifier for the property

floor_plan_id string

The Propexo unique identifier for the floor plan

unit_id string

The Propexo unique identifier for the unit

charge_code_id string

The Propexo unique identifier for the charge code

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required
  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the fee

    created_atstringrequired

    The date record first entered Propexo

    updated_atstringrequired

    The date record was last updated in Propexo

    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    x_idstringrequired

    The external ID from the integration vendor

    x_property_idstringrequired

    The external ID of the property from the integration vendor

    x_location_idstring | nullnullablerequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    x_charge_code_idstring | nullnullablerequired

    The external ID of the charge code from the integration vendor

    x_floor_plan_idstring | nullnullablerequired

    The external ID of the floor plan from the integration vendor

    x_unit_idstring | nullnullablerequired

    The external ID of the unit from the integration vendor

    amount_in_centsnumber | nullnullablerequired

    The amount of the fee, in cents

    Example: 12500
    amount_rawstring | nullnullablerequired

    The raw value for amount from the PMS

    charge_code_namestring | nullnullablerequired

    The name of the charge code

    descriptionstring | nullnullablerequired

    Description of the fee

    namestring | nullnullablerequired

    The name associated with the fee

    custom_data object | nullrequired

    Custom data

    property name*anynullable

    Custom data

    integration_idstringrequired

    The Propexo unique identifier for the integration

    integration_vendorEnum1required

    The property management system of record

    Show 13 enum values
    APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST
    property_idstringrequired

    The Propexo unique identifier for the property

    floor_plan_idstring | nullnullablerequired

    The Propexo unique identifier for the floor plan

    unit_idstring | nullnullablerequired

    The Propexo unique identifier for the unit

    charge_code_idstring | nullnullablerequired

    The Propexo unique identifier for the charge code

  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/fees/
curl https://api.propexo.com/v1/fees/ \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "string",
"created_at": "string",
"updated_at": "string",
"last_seen": "string",
"x_id": "string",
"x_property_id": "string",
"x_location_id": "string",
"x_charge_code_id": "string",
"x_floor_plan_id": "string",
"x_unit_id": "string",
"amount_in_cents": 12500,
"amount_raw": "string",
"charge_code_name": "string",
"description": "string",
"name": "string",
"custom_data": "Unknown Type: object,null",
"integration_id": "string",
"integration_vendor": "APPFOLIO",
"property_id": "string",
"floor_plan_id": "string",
"unit_id": "string",
"charge_code_id": "string"
}
]
}